Bug 1489484 - yum update failed on controller and compute nodes when ceph-osd repos is not enabled
Summary: yum update failed on controller and compute nodes when ceph-osd repos is not ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 12.0 (Pike)
Assignee: Alan Bishop
QA Contact: Yogev Rabl
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 14:27 UTC by jomurphy
Modified: 2020-04-15 15:37 UTC (History)
29 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170913050523.0rc2.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, the ceph-osd package was a part of the common overcloud image, but was available only in a repository that requires the Ceph OSD entitlement. This entitlement is not required on OpenStack Controller and Compute nodes. The RPM dependency created by the ceph-osd package caused Yum update to fail when you tried to update the ceph-osd package without the ceph-osd entitlement, Yum update failed. This fix removes the ceph-osd package from overcloud nodes that do not require the package. The ceph-osd package is now only required on Ceph storage nodes, including hyperconverged nodes that run Ceph OSD and Compute services. Yum update now succeeds on nodes that do not require the ceph-osd package. Ceph storage and hyperconverged nodes that require the ceph-osd package will still require the necessary Ceph OSD entitlement.
Clone Of: 1405881
Environment:
Last Closed: 2017-12-13 22:05:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1713292 None None None 2017-09-07 14:27:52 UTC
OpenStack gerrit 496921 None MERGED Maintain ceph-osd package only on nodes hosting CephOSD service 2020-02-12 23:29:17 UTC
Red Hat Knowledge Base (Solution) 2196011 None None None 2017-09-07 14:27:52 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Comment 1 Alan Bishop 2017-09-08 13:48:16 UTC
The fix has been merged upstream, and will be available after the next upstream bulk import for OSP-12.

Reference to the downstream RH Engineering gerrit is deleted because it does not apply to this release.

Comment 5 Yogev Rabl 2017-11-16 19:59:01 UTC
verified on openstack-tripleo-heat-templates-7.0.3-6.el7ost.noarch

Comment 9 errata-xmlrpc 2017-12-13 22:05:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.